## Apache Zeta Components Manual :: Docs For Class ezcReflectionDocCommentParser

### Reflection::ezcReflectionDocCommentParser

### Interface ezcReflectionDocCommentParser

Defines an interface for documentation parsers.

Source for this file: /Reflection/src/interfaces/doc_comment_parser.php

Version: | //autogen//

### Method Summary

public ezcReflectionAnnotation[] | `getAnnotations( )` Retrieve all found annotations
public ezcReflectionAnnotation[] | `getAnnotationsByName( $name )` Return all found annotations with the given name.
public string | `getLongDescription( )` Returns long description
public ezcReflectionAnnotationParam[] | `getParamAnnotations( )` Retrieve all param annotations
public ezcReflectionAnnotationReturn[] | `getReturnAnnotations( )` Retrieve all return annotations
public string | `getShortDescription( )` Returns short description
public ezcReflectionAnnotationVar[] | `getVarAnnotations( )` Retrieve all var annotations
public boolean | `hasAnnotation( $with )` Checks whether an annotation was used in the parsed documentation fragment
public void | `parse( $docComment )` Initialize parsing of the given documentation fragment.

### Methods

#### getAnnotations

ezcReflectionAnnotation[] getAnnotations( )

Retrieve all found annotations

#### getAnnotationsByName

ezcReflectionAnnotation[] getAnnotationsByName( string $name )

Return all found annotations with the given name.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$name` | string |

#### getLongDescription

string getLongDescription( )

Returns long description

#### getParamAnnotations

ezcReflectionAnnotationParam[] getParamAnnotations( )

Retrieve all param annotations

#### getReturnAnnotations

ezcReflectionAnnotationReturn[] getReturnAnnotations( )

Retrieve all return annotations

#### getShortDescription

string getShortDescription( )

Returns short description

#### getVarAnnotations

ezcReflectionAnnotationVar[] getVarAnnotations( )

Retrieve all var annotations

#### hasAnnotation

boolean hasAnnotation( string $with )

Checks whether an annotation was used in the parsed documentation fragment

##### Parameters:

Name | Type | Description
--- | --- | ---
`$with` | string | name of used annotation

#### parse

void parse( string $docComment )

Initialize parsing of the given documentation fragment.

Results can be retrieved after completion by the getters provided.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$docComment` | string |

Documentation generated by phpDocumentor 1.4.3